package cz.moneta.test.dsl.mwf;

import cz.moneta.test.harness.support.mwf.Parameter;
import cz.moneta.test.harness.support.mwf.MwfRequest;

public interface MWF6D8 extends MwfRequest<MWF6D8, MWF6D8Response> {

    @Parameter(name = "BankaKod")
    MWF6D8 bankaKod(String bankaKod);
    @Parameter(name = "CIF")
    MWF6D8 cif(String cif);
    @Parameter(name = "CisloUctu")
    MWF6D8 cisloUctu(String cisloUctu);
    @Parameter(name = "CostCentrum")
    MWF6D8 costCentrum(String costCentrum);
    @Parameter(name = "DruhUctu")
    MWF6D8 druhUctu(String druhUctu);
    @Parameter(name = "IDObchodu")
    MWF6D8 iDObchodu(Long iDObchodu);
    @Parameter(name = "ISIN")
    MWF6D8 isin(String isin);
    @Parameter(name = "ISIN2")
    MWF6D8 isin2(String isin2);
    @Parameter(name = "IdVirtualniObjednavky")
    MWF6D8 idVirtualniObjednavky(Long idVirtualniObjednavky);
    @Parameter(name = "IdZaznamu")
    MWF6D8 idZaznamu(Long idZaznamu);
    @Parameter(name = "KlientIDDisponent")
    MWF6D8 klientIDDisponent(Long klientIDDisponent);
    @Parameter(name = "KonstantniSymbol")
    MWF6D8 konstantniSymbol(Long konstantniSymbol);
    @Parameter(name = "MenaUctu")
    MWF6D8 menaUctu(String menaUctu);
    @Parameter(name = "ObchodniDatum")
    MWF6D8 obchodniDatum(java.util.Date obchodniDatum);
    @Parameter(name = "Objem")
    MWF6D8 objem(Double objem);
    @Parameter(name = "Pobocka")
    MWF6D8 pobocka(String pobocka);
    @Parameter(name = "PobockaVyplaty")
    MWF6D8 pobockaVyplaty(String pobockaVyplaty);
    @Parameter(name = "PocetKS")
    MWF6D8 pocetKS(Double pocetKS);
    @Parameter(name = "Produkt")
    MWF6D8 produkt(String produkt);
    @Parameter(name = "SpecifickySymbol")
    MWF6D8 specifickySymbol(String specifickySymbol);
    @Parameter(name = "StavObchodu")
    MWF6D8 stavObchodu(String stavObchodu);
    @Parameter(name = "TypObchodu")
    MWF6D8 typObchodu(String typObchodu);
    @Parameter(name = "TypSmlouvy")
    MWF6D8 typSmlouvy(String typSmlouvy);
    @Parameter(name = "VariabilniSymbol")
    MWF6D8 variabilniSymbol(String variabilniSymbol);
    @Parameter(name = "VlozeniDatum")
    MWF6D8 vlozeniDatum(java.util.Date vlozeniDatum);
    @Parameter(name = "Vyplata")
    MWF6D8 vyplata(String vyplata);
    @Parameter(name = "ZadavatelID")
    MWF6D8 zadavatelID(Long zadavatelID);
}
